# class Resolv::DNS::Resource::IN::WKS

Well Known Service resource.

### Constants

ClassValue
TypeValue

### Attributes

address [R]

The host these services run on.

bitmap [R]

`A` bit map of enabled services on this host.

If protocol is 6 (TCP) then the 26th bit corresponds to the SMTP service (port 25). If this bit is set, then an SMTP server should be listening on TCP port 25; if zero, SMTP service is not supported.

protocol [R]

IP protocol number for these services.

### Public Class Methods

new (address, protocol, bitmap)
Source

    # File lib/resolv.rb, line 2672
    def initialize(address, protocol, bitmap)
      @address = IPv4.create(address)
      @protocol = protocol
      @bitmap = bitmap
    end